Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006972Dwarf FortressDwarf Mode -- Interface, Civilization Listpublic2014-07-10 13:452014-08-05 12:08
Reportergreycat 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS VersionDebian 7.5 amd64
Product Version0.40.01 
Target VersionFixed in Version0.40.07 
Summary0006972: Kobolds and goblins do not appear in the civilizations list
DescriptionSome kobold thieves have appeared on my map, and some goblins have sieged me. The thieves ran off long ago; I caged 8 of the 10 goblins, and the other 2 ran off (after killing 1 dwarf and wounding another). Nevertheless, on the civilizations list, nothing shows up except my own dwarven civ.

This has happened in multiple fortresses.
Tags0.40.01
Attached Files

- Relationships
related to 0007739resolvedToady One Hostile sites appear to be lost from contact, resulting in lack of fort invasions 

-  Notes
(0025590)
Rafal99 (reporter)
2014-07-10 13:49

I can confirm this, the civilizations also don't show in my current fortress, despite having encounters with both kobolds and goblins.
(0025624)
Sivarty (reporter)
2014-07-10 17:02

I had the same elves don't appear on civ screen either after seige.
(0026759)
musicmastermsh (reporter)
2014-07-17 09:54

40.03 - nobody else appears on my civ list.
(0026968)
exottoyuhr (reporter)
2014-07-19 13:45

Greycat, did you get the behavior I reported in 0007482?
(0027747)
Amena Ralikema (reporter)
2014-07-28 01:12

Still present in 0.40.05, in a save imported* from a previous version. It looks like all hostile civilizations are not listed in the civilization screen. I've encountered kobolds and repulsed sieges by humans and goblins, but my civ screen shows only dwarves and elves. Both sieges ended normally, the SIEGE indicator disappeared after all the invaders were dead, captured or escaped.

(* I even copied over the changes in the raws to the save, except for a dictionary change.)
(0028303)
Dwarfu (manager)
2014-08-04 12:52

If anyone has a save to make it easier to debug civ links, please compress (.zip) your DF/data/save/region folder, upload it to http://dffd.wimbli.com, [^] and post a link to it here.
(0028390)
Toady One (administrator)
2014-08-05 12:08

This should work now, though you'll need people to reinvade to get it. Fortunately, the invasions should also start happening again.

- Issue History
Date Modified Username Field Change
2014-07-10 13:45 greycat New Issue
2014-07-10 13:49 Rafal99 Note Added: 0025590
2014-07-10 13:51 alexis06 Tag Attached: 0.40.01
2014-07-10 17:02 Sivarty Note Added: 0025624
2014-07-17 09:54 musicmastermsh Note Added: 0026759
2014-07-19 13:45 exottoyuhr Note Added: 0026968
2014-07-28 01:12 Amena Ralikema Note Added: 0027747
2014-08-04 12:52 Dwarfu Note Added: 0028303
2014-08-04 12:52 Dwarfu Assigned To => Dwarfu
2014-08-04 12:52 Dwarfu Status new => needs feedback
2014-08-04 18:30 Dwarfu Relationship added related to 0007739
2014-08-05 12:08 Toady One Note Added: 0028390
2014-08-05 12:08 Toady One Status needs feedback => resolved
2014-08-05 12:08 Toady One Fixed in Version => Next Version
2014-08-05 12:08 Toady One Resolution open => fixed
2014-08-05 12:08 Toady One Assigned To Dwarfu => Toady One


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker